Bug 167437 - isoinfo without args crashes at the end if run without -i filename
Summary: isoinfo without args crashes at the end if run without -i filename
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cdrtools   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-02 16:34 UTC by Alexandre Oliva
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-28 17:55:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace output, as requested (1.16 KB, application/x-bzip2)
2005-09-05 12:25 UTC, Alexandre Oliva
no flags Details

Description Alexandre Oliva 2005-09-02 16:34:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8b3) Gecko/20050827 Fedora/1.1-0.2.8.deerpark.alpha2 Firefox/1.0+

Description of problem:
If there's a CD or DVD inserted in the CD/DVD drive corresponding to /dev/cdrom, isoinfo will crash if started without arguments, but not if started as isoinfo -i /dev/cdrom.  If there isn't any media in the drive, both cases will exist normally after printing the appropriate errors.

If given additional arguments (say -R, -l, -f), it will display the requested information before crashing.

In fact, it will crash on fclose, so it's quite likely just some uninitialized (or corrupted) FILE*.

Version-Release number of selected component (if applicable):
mkisofs-2.01.1-10

How reproducible:
Always

Steps to Reproduce:
1.Insert some media containing a filesystem in a CD or DVD drive associated with /dev/cdrom
2.Run isoinfo

Actual Results:  It crashes

Expected Results:  It shouldn't crash

Additional info:

So far I've only tried this on x86_64, but this might very well be architecture-independent.

Comment 1 Alexandre Oliva 2005-09-02 16:35:59 UTC
Oops, filed against wrong component, sorry.

Comment 2 Harald Hoyer 2005-09-05 06:22:44 UTC
please do a:
# strace -f isoinfo

and attach the output.

Comment 3 Alexandre Oliva 2005-09-05 12:25:00 UTC
Created attachment 118467 [details]
strace output, as requested

I very much doubt this is going to add any info over what I've already posted,
but here it goes...  FWIW, here's the crash as reported by GDB:

Program received signal SIGSEGV, Segmentation fault.
0x000000377a35c1ab in fclose@@GLIBC_2.2.5 () from /lib64/libc.so.6

The crash occurs at the instruction that first reads from the first argument,
that was (incorrectly) passed as NULL.

Comment 4 Alexandre Oliva 2005-10-28 14:08:29 UTC
Bug still present in today's rawhide (mkisofs-2.01.1-10).


Note You need to log in before you can comment on or make changes to this bug.